package net.northking.cctp.upperComputer.driver.agent.command;

import net.northking.cctp.upperComputer.driver.agent.command.protocol.ProtocolCommand;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class WatchWifiStateCommand implements ProtocolCommand<Boolean> {
    private static WatchWifiStateCommand instance = null;

    public static WatchWifiStateCommand getInstance() {
        if (instance == null) {
            instance = new WatchWifiStateCommand();
        }
        return instance;
    }

    @Override
    public int getCommandId() {
        return 18;
    }

    @Override
    public void doSend(DataOutput output) throws IOException {

    }

    @Override
    public Boolean buildReceive(DataInput input) throws IOException {
        return input.readBoolean();
    }
}
